Index: fedd/abac-src/atnvis/linked/Alice.prop
===================================================================
--- fedd/abac-src/atnvis/linked/Alice.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/linked/Alice.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,286 @@
+subject = Alice
+policy.1 = Ack[MedixFund.pA] = MedixFund.partner
+
+update.1.location = remote
+
+update.1.1.type = node
+update.1.1.name = MedSup: MedSup.discount <<-?- Alice
+update.1.1.nodeType = RoleTarget
+update.1.1.isRoot = True
+
+update.1.2.type = node
+update.1.2.nodeType = RoleTarget
+update.1.2.name = MedSup: MedSup.discount <<-?- Alice
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+update.1.3.type = node
+update.1.3.nodeType = RoleTarget
+update.1.3.name = MedSup: MedSup.discount <<-?- Alice
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+update.1.4.type = edge
+update.1.4.edgeType = Implication
+update.1.4.parentName = MedSup: MedSup.discount <<-?- Alice
+update.1.4.childName = MedSup: MedSup.partner.pA <<-?- Alice
+update.1.4.childType = LinkedRoleTarget
+update.1.4.childProcessing = opponent
+update.1.4.evidence.1 = MedSup.discount<-MedSup.partner.pA
+update.1.5.type = node
+update.1.5.nodeType = LinkedRoleTarget
+update.1.5.name = MedSup: MedSup.partner.pA <<-?- Alice
+update.1.5.processing = opponent
+update.1.5.satisfied = Unknown
+
+update.1.6.type = node
+update.1.6.nodeType = RoleTarget
+update.1.6.name = MedSup: MedSup.discount <<-?- Alice
+update.1.6.processing = opponent
+update.1.6.satisfied = Unknown
+
+update.1.7.type = node
+update.1.7.name = MedSup: MedSup.discount <<-?- Alice
+update.1.7.processing = verifier
+
+update.1.8.type = edge
+update.1.8.edgeType = LinkingMonitor
+update.1.8.parentName = MedSup: MedSup.partner.pA <<-?- Alice
+update.1.8.childName = MedSup: ?X.pA <<-?- Alice
+update.1.8.childType = LinkingGoal
+update.1.8.childProcessing = verifier
+update.1.9.type = node
+update.1.9.nodeType = LinkingGoal
+update.1.9.name = MedSup: ?X.pA <<-?- Alice
+update.1.9.processing = verifier
+update.1.9.satisfied = Incomplete
+
+update.2.location = local
+
+update.2.1.type = edge
+update.2.1.edgeType = LinkingSolution
+update.2.1.parentName = MedSup: ?X.pA <<-?- Alice
+update.2.1.childName = MedSup: MedixFund.pA <<-?- Alice
+update.2.1.childType = RoleTarget
+update.2.1.childProcessing = verifier
+update.2.2.type = node
+update.2.2.nodeType = RoleTarget
+update.2.2.name = MedSup: MedixFund.pA <<-?- Alice
+update.2.2.processing = verifier
+update.2.2.satisfied = Unknown
+
+update.2.3.type = node
+update.2.3.nodeType = LinkingGoal
+update.2.3.name = MedSup: ?X.pA <<-?- Alice
+update.2.3.processing = fully
+update.2.3.satisfied = Incomplete
+
+update.2.4.type = node
+update.2.4.name = MedSup: ?X.pA <<-?- Alice
+update.2.4.processing = opponent
+
+update.2.5.type = edge
+update.2.5.edgeType = Control
+update.2.5.parentName = MedSup: MedixFund.pA <<-?- Alice
+update.2.5.childName = Alice: MedixFund.partner <<-?- MedSup
+update.2.5.childType = RoleTarget
+update.2.5.childProcessing = opponent
+update.2.6.type = node
+update.2.6.nodeType = RoleTarget
+update.2.6.name = Alice: MedixFund.partner <<-?- MedSup
+update.2.6.processing = opponent
+update.2.6.satisfied = Unknown
+
+update.2.7.type = edge
+update.2.7.edgeType = Implication
+update.2.7.parentName = Alice: MedixFund.partner <<-?- MedSup
+update.2.7.childName = Alice: ReliefNet.coaMember <<-?- MedSup
+update.2.7.childType = RoleTarget
+update.2.7.childProcessing = verifier
+update.2.7.evidence.1 = MedixFund.partner<-ReliefNet.coaMember
+update.2.8.type = node
+update.2.8.nodeType = RoleTarget
+update.2.8.name = Alice: ReliefNet.coaMember <<-?- MedSup
+update.2.8.processing = verifier
+update.2.8.satisfied = Unknown
+
+update.2.9.type = node
+update.2.9.nodeType = RoleTarget
+update.2.9.name = Alice: MedixFund.partner <<-?- MedSup
+update.2.9.processing = opponent
+update.2.9.satisfied = Unknown
+
+update.2.10.type = node
+update.2.10.name = Alice: MedixFund.partner <<-?- MedSup
+update.2.10.processing = verifier
+
+update.3.location = remote
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = Alice: ReliefNet.coaMember <<-?- MedSup
+update.3.1.childName = Alice: MedSup <<-?- MedSup
+update.3.1.childType = TrivialTarget
+update.3.1.childProcessing = fully
+update.3.1.evidence.1 = ReliefNet.coaMember<-MedSup
+update.3.2.type = node
+update.3.2.nodeType = TrivialTarget
+update.3.2.name = Alice: MedSup <<-?- MedSup
+update.3.2.processing = fully
+update.3.2.satisfied = Satisfied
+
+update.3.3.type = node
+update.3.3.nodeType = RoleTarget
+update.3.3.name = Alice: ReliefNet.coaMember <<-?- MedSup
+update.3.3.processing = verifier
+update.3.3.satisfied = Unknown
+
+update.3.4.type = node
+update.3.4.nodeType = RoleTarget
+update.3.4.name = Alice: ReliefNet.coaMember <<-?- MedSup
+update.3.4.processing = verifier
+update.3.4.satisfied = Satisfied
+
+update.3.5.type = node
+update.3.5.nodeType = RoleTarget
+update.3.5.name = Alice: MedixFund.partner <<-?- MedSup
+update.3.5.processing = fully
+update.3.5.satisfied = Satisfied
+
+update.3.6.type = node
+update.3.6.name = Alice: ReliefNet.coaMember <<-?- MedSup
+update.3.6.processing = opponent
+
+update.4.location = local
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = MedSup: MedixFund.pA <<-?- Alice
+update.4.1.childName = MedSup: Alice <<-?- Alice
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = fully
+update.4.1.evidence.1 = MedixFund.pA<-Alice
+update.4.2.type = node
+update.4.2.nodeType = TrivialTarget
+update.4.2.name = MedSup: Alice <<-?- Alice
+update.4.2.processing = fully
+update.4.2.satisfied = Satisfied
+
+update.4.3.type = node
+update.4.3.nodeType = RoleTarget
+update.4.3.name = MedSup: MedixFund.pA <<-?- Alice
+update.4.3.processing = verifier
+update.4.3.satisfied = Unknown
+
+update.4.4.type = node
+update.4.4.nodeType = RoleTarget
+update.4.4.name = MedSup: MedixFund.pA <<-?- Alice
+update.4.4.processing = verifier
+update.4.4.satisfied = Satisfied
+
+update.4.5.type = node
+update.4.5.nodeType = LinkingGoal
+update.4.5.name = MedSup: ?X.pA <<-?- Alice
+update.4.5.processing = fully
+update.4.5.satisfied = Complete
+
+update.4.6.type = node
+update.4.6.name = MedSup: MedixFund.pA <<-?- Alice
+update.4.6.processing = opponent
+
+update.5.location = remote
+
+update.5.1.type = edge
+update.5.1.edgeType = LinkingImplication
+update.5.1.parentName = MedSup: MedSup.partner.pA <<-?- Alice
+update.5.1.childName = MedSup: MedSup.partner <<-?- MedixFund
+update.5.1.childType = RoleTarget
+update.5.1.childProcessing = opponent
+update.5.2.type = node
+update.5.2.nodeType = RoleTarget
+update.5.2.name = MedSup: MedSup.partner <<-?- MedixFund
+update.5.2.processing = opponent
+update.5.2.satisfied = Unknown
+
+update.5.3.type = node
+update.5.3.nodeType = LinkedRoleTarget
+update.5.3.name = MedSup: MedSup.partner.pA <<-?- Alice
+update.5.3.processing = opponent
+update.5.3.satisfied = Unknown
+
+update.5.4.type = node
+update.5.4.name = MedSup: MedSup.partner.pA <<-?- Alice
+update.5.4.processing = verifier
+
+update.5.5.type = edge
+update.5.5.edgeType = Implication
+update.5.5.parentName = MedSup: MedSup.partner <<-?- MedixFund
+update.5.5.childName = MedSup: ReliefNet.coaMember <<-?- MedixFund
+update.5.5.childType = RoleTarget
+update.5.5.childProcessing = verifier
+update.5.5.evidence.1 = MedSup.partner<-ReliefNet.coaMember
+update.5.6.type = node
+update.5.6.nodeType = RoleTarget
+update.5.6.name = MedSup: ReliefNet.coaMember <<-?- MedixFund
+update.5.6.processing = verifier
+update.5.6.satisfied = Unknown
+
+update.5.7.type = node
+update.5.7.nodeType = RoleTarget
+update.5.7.name = MedSup: MedSup.partner <<-?- MedixFund
+update.5.7.processing = opponent
+update.5.7.satisfied = Unknown
+
+update.5.8.type = node
+update.5.8.name = MedSup: MedSup.partner <<-?- MedixFund
+update.5.8.processing = verifier
+
+update.6.location = local
+
+update.6.1.type = edge
+update.6.1.edgeType = Implication
+update.6.1.parentName = MedSup: ReliefNet.coaMember <<-?- MedixFund
+update.6.1.childName = MedSup: MedixFund <<-?- MedixFund
+update.6.1.childType = TrivialTarget
+update.6.1.childProcessing = fully
+update.6.1.evidence.1 = ReliefNet.coaMember<-MedixFund
+update.6.2.type = node
+update.6.2.nodeType = TrivialTarget
+update.6.2.name = MedSup: MedixFund <<-?- MedixFund
+update.6.2.processing = fully
+update.6.2.satisfied = Satisfied
+
+update.6.3.type = node
+update.6.3.nodeType = RoleTarget
+update.6.3.name = MedSup: ReliefNet.coaMember <<-?- MedixFund
+update.6.3.processing = verifier
+update.6.3.satisfied = Unknown
+
+update.6.4.type = node
+update.6.4.nodeType = RoleTarget
+update.6.4.name = MedSup: ReliefNet.coaMember <<-?- MedixFund
+update.6.4.processing = verifier
+update.6.4.satisfied = Satisfied
+
+update.6.5.type = node
+update.6.5.nodeType = RoleTarget
+update.6.5.name = MedSup: MedSup.partner <<-?- MedixFund
+update.6.5.processing = fully
+update.6.5.satisfied = Satisfied
+
+update.6.6.type = node
+update.6.6.nodeType = LinkedRoleTarget
+update.6.6.name = MedSup: MedSup.partner.pA <<-?- Alice
+update.6.6.processing = fully
+update.6.6.satisfied = Satisfied
+
+update.6.7.type = node
+update.6.7.nodeType = RoleTarget
+update.6.7.name = MedSup: MedSup.discount <<-?- Alice
+update.6.7.processing = fully
+update.6.7.satisfied = Satisfied
+
+update.6.8.type = node
+update.6.8.name = MedSup: ReliefNet.coaMember <<-?- MedixFund
+update.6.8.processing = opponent
+
Index: fedd/abac-src/atnvis/linked/CVS/Entries
===================================================================
--- fedd/abac-src/atnvis/linked/CVS/Entries	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/linked/CVS/Entries	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,9 @@
+/Alice.prop/1.3/Fri Sep 27 19:54:18 2002//
+/MedSup.prop/1.3/Fri Sep 27 19:54:18 2002//
+/SAdmir.prop/1.5/Wed Oct  2 19:25:42 2002//
+/SEAdmirKDR.prop/1.1/Mon Jun 24 20:06:24 2002//
+/USSH.prop/1.5/Wed Oct  2 20:10:36 2002//
+/USSHoward.prop/1.1/Mon Jun 24 20:06:24 2002//
+/USSHoward_future.prop/1.2/Fri Jul  5 14:28:13 2002//
+/atnvis.properties/1.3/Fri Sep 27 19:54:18 2002//
+D
Index: fedd/abac-src/atnvis/linked/CVS/Repository
===================================================================
--- fedd/abac-src/atnvis/linked/CVS/Repository	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/linked/CVS/Repository	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,1 @@
+atnvis/linked
Index: fedd/abac-src/atnvis/linked/CVS/Root
===================================================================
--- fedd/abac-src/atnvis/linked/CVS/Root	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/linked/CVS/Root	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,1 @@
+:ext:jjacobs@src.columbia.sparta.com/cvs/abac
Index: fedd/abac-src/atnvis/linked/MedSup.prop
===================================================================
--- fedd/abac-src/atnvis/linked/MedSup.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/linked/MedSup.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,285 @@
+subject = MedSup
+
+update.1.location = local
+
+update.1.1.type = node
+update.1.1.name = MedSup: MedSup.discount <<-?- Alice
+update.1.1.nodeType = RoleTarget
+update.1.1.isRoot = True
+
+update.1.2.type = node
+update.1.2.nodeType = RoleTarget
+update.1.2.name = MedSup: MedSup.discount <<-?- Alice
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+update.1.3.type = node
+update.1.3.nodeType = RoleTarget
+update.1.3.name = MedSup: MedSup.discount <<-?- Alice
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+update.1.4.type = edge
+update.1.4.edgeType = Implication
+update.1.4.parentName = MedSup: MedSup.discount <<-?- Alice
+update.1.4.childName = MedSup: MedSup.partner.pA <<-?- Alice
+update.1.4.childType = LinkedRoleTarget
+update.1.4.childProcessing = opponent
+update.1.4.evidence.1 = MedSup.discount<-MedSup.partner.pA
+update.1.5.type = node
+update.1.5.nodeType = LinkedRoleTarget
+update.1.5.name = MedSup: MedSup.partner.pA <<-?- Alice
+update.1.5.processing = opponent
+update.1.5.satisfied = Unknown
+
+update.1.6.type = node
+update.1.6.nodeType = RoleTarget
+update.1.6.name = MedSup: MedSup.discount <<-?- Alice
+update.1.6.processing = opponent
+update.1.6.satisfied = Unknown
+
+update.1.7.type = node
+update.1.7.name = MedSup: MedSup.discount <<-?- Alice
+update.1.7.processing = verifier
+
+update.1.8.type = edge
+update.1.8.edgeType = LinkingMonitor
+update.1.8.parentName = MedSup: MedSup.partner.pA <<-?- Alice
+update.1.8.childName = MedSup: ?X.pA <<-?- Alice
+update.1.8.childType = LinkingGoal
+update.1.8.childProcessing = verifier
+update.1.9.type = node
+update.1.9.nodeType = LinkingGoal
+update.1.9.name = MedSup: ?X.pA <<-?- Alice
+update.1.9.processing = verifier
+update.1.9.satisfied = Incomplete
+
+update.2.location = remote
+
+update.2.1.type = edge
+update.2.1.edgeType = LinkingSolution
+update.2.1.parentName = MedSup: ?X.pA <<-?- Alice
+update.2.1.childName = MedSup: MedixFund.pA <<-?- Alice
+update.2.1.childType = RoleTarget
+update.2.1.childProcessing = verifier
+update.2.2.type = node
+update.2.2.nodeType = RoleTarget
+update.2.2.name = MedSup: MedixFund.pA <<-?- Alice
+update.2.2.processing = verifier
+update.2.2.satisfied = Unknown
+
+update.2.3.type = node
+update.2.3.name = MedSup: ?X.pA <<-?- Alice
+update.2.3.processing = opponent
+
+update.2.4.type = node
+update.2.4.nodeType = LinkingGoal
+update.2.4.name = MedSup: ?X.pA <<-?- Alice
+update.2.4.processing = fully
+update.2.4.satisfied = Incomplete
+
+update.2.5.type = edge
+update.2.5.edgeType = Control
+update.2.5.parentName = MedSup: MedixFund.pA <<-?- Alice
+update.2.5.childName = Alice: MedixFund.partner <<-?- MedSup
+update.2.5.childType = RoleTarget
+update.2.5.childProcessing = opponent
+update.2.6.type = node
+update.2.6.nodeType = RoleTarget
+update.2.6.name = Alice: MedixFund.partner <<-?- MedSup
+update.2.6.processing = opponent
+update.2.6.satisfied = Unknown
+
+update.2.7.type = edge
+update.2.7.edgeType = Implication
+update.2.7.parentName = Alice: MedixFund.partner <<-?- MedSup
+update.2.7.childName = Alice: ReliefNet.coaMember <<-?- MedSup
+update.2.7.childType = RoleTarget
+update.2.7.childProcessing = verifier
+update.2.7.evidence.1 = MedixFund.partner<-ReliefNet.coaMember
+update.2.8.type = node
+update.2.8.nodeType = RoleTarget
+update.2.8.name = Alice: ReliefNet.coaMember <<-?- MedSup
+update.2.8.processing = verifier
+update.2.8.satisfied = Unknown
+
+update.2.9.type = node
+update.2.9.nodeType = RoleTarget
+update.2.9.name = Alice: MedixFund.partner <<-?- MedSup
+update.2.9.processing = opponent
+update.2.9.satisfied = Unknown
+
+update.2.10.type = node
+update.2.10.name = Alice: MedixFund.partner <<-?- MedSup
+update.2.10.processing = verifier
+
+update.3.location = local
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = Alice: ReliefNet.coaMember <<-?- MedSup
+update.3.1.childName = Alice: MedSup <<-?- MedSup
+update.3.1.childType = TrivialTarget
+update.3.1.childProcessing = fully
+update.3.1.evidence.1 = ReliefNet.coaMember<-MedSup
+update.3.2.type = node
+update.3.2.nodeType = TrivialTarget
+update.3.2.name = Alice: MedSup <<-?- MedSup
+update.3.2.processing = fully
+update.3.2.satisfied = Satisfied
+
+update.3.3.type = node
+update.3.3.nodeType = RoleTarget
+update.3.3.name = Alice: ReliefNet.coaMember <<-?- MedSup
+update.3.3.processing = verifier
+update.3.3.satisfied = Unknown
+
+update.3.4.type = node
+update.3.4.nodeType = RoleTarget
+update.3.4.name = Alice: ReliefNet.coaMember <<-?- MedSup
+update.3.4.processing = verifier
+update.3.4.satisfied = Satisfied
+
+update.3.5.type = node
+update.3.5.nodeType = RoleTarget
+update.3.5.name = Alice: MedixFund.partner <<-?- MedSup
+update.3.5.processing = fully
+update.3.5.satisfied = Satisfied
+
+update.3.6.type = node
+update.3.6.name = Alice: ReliefNet.coaMember <<-?- MedSup
+update.3.6.processing = opponent
+
+update.4.location = remote
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = MedSup: MedixFund.pA <<-?- Alice
+update.4.1.childName = MedSup: Alice <<-?- Alice
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = fully
+update.4.1.evidence.1 = MedixFund.pA<-Alice
+update.4.2.type = node
+update.4.2.nodeType = TrivialTarget
+update.4.2.name = MedSup: Alice <<-?- Alice
+update.4.2.processing = fully
+update.4.2.satisfied = Satisfied
+
+update.4.3.type = node
+update.4.3.nodeType = RoleTarget
+update.4.3.name = MedSup: MedixFund.pA <<-?- Alice
+update.4.3.processing = verifier
+update.4.3.satisfied = Unknown
+
+update.4.4.type = node
+update.4.4.nodeType = RoleTarget
+update.4.4.name = MedSup: MedixFund.pA <<-?- Alice
+update.4.4.processing = verifier
+update.4.4.satisfied = Satisfied
+
+update.4.5.type = edge
+update.4.5.edgeType = LinkingImplication
+update.4.5.parentName = MedSup: MedSup.partner.pA <<-?- Alice
+update.4.5.childName = MedSup: MedSup.partner <<-?- MedixFund
+update.4.5.childType = RoleTarget
+update.4.5.childProcessing = opponent
+update.4.6.type = node
+update.4.6.nodeType = RoleTarget
+update.4.6.name = MedSup: MedSup.partner <<-?- MedixFund
+update.4.6.processing = opponent
+update.4.6.satisfied = Unknown
+
+update.4.7.type = node
+update.4.7.nodeType = LinkedRoleTarget
+update.4.7.name = MedSup: MedSup.partner.pA <<-?- Alice
+update.4.7.processing = opponent
+update.4.7.satisfied = Unknown
+
+update.4.8.type = node
+update.4.8.nodeType = LinkingGoal
+update.4.8.name = MedSup: ?X.pA <<-?- Alice
+update.4.8.processing = fully
+update.4.8.satisfied = Complete
+
+update.4.9.type = node
+update.4.9.name = MedSup: MedSup.partner.pA <<-?- Alice
+update.4.9.processing = verifier
+
+update.4.10.type = node
+update.4.10.name = MedSup: MedixFund.pA <<-?- Alice
+update.4.10.processing = opponent
+
+update.5.location = local
+
+update.5.1.type = edge
+update.5.1.edgeType = Implication
+update.5.1.parentName = MedSup: MedSup.partner <<-?- MedixFund
+update.5.1.childName = MedSup: ReliefNet.coaMember <<-?- MedixFund
+update.5.1.childType = RoleTarget
+update.5.1.childProcessing = verifier
+update.5.1.evidence.1 = MedSup.partner<-ReliefNet.coaMember
+update.5.2.type = node
+update.5.2.nodeType = RoleTarget
+update.5.2.name = MedSup: ReliefNet.coaMember <<-?- MedixFund
+update.5.2.processing = verifier
+update.5.2.satisfied = Unknown
+
+update.5.3.type = node
+update.5.3.nodeType = RoleTarget
+update.5.3.name = MedSup: MedSup.partner <<-?- MedixFund
+update.5.3.processing = opponent
+update.5.3.satisfied = Unknown
+
+update.5.4.type = node
+update.5.4.name = MedSup: MedSup.partner <<-?- MedixFund
+update.5.4.processing = verifier
+
+update.6.location = remote
+
+update.6.1.type = edge
+update.6.1.edgeType = Implication
+update.6.1.parentName = MedSup: ReliefNet.coaMember <<-?- MedixFund
+update.6.1.childName = MedSup: MedixFund <<-?- MedixFund
+update.6.1.childType = TrivialTarget
+update.6.1.childProcessing = fully
+update.6.1.evidence.1 = ReliefNet.coaMember<-MedixFund
+update.6.2.type = node
+update.6.2.nodeType = TrivialTarget
+update.6.2.name = MedSup: MedixFund <<-?- MedixFund
+update.6.2.processing = fully
+update.6.2.satisfied = Satisfied
+
+update.6.3.type = node
+update.6.3.nodeType = RoleTarget
+update.6.3.name = MedSup: ReliefNet.coaMember <<-?- MedixFund
+update.6.3.processing = verifier
+update.6.3.satisfied = Unknown
+
+update.6.4.type = node
+update.6.4.nodeType = RoleTarget
+update.6.4.name = MedSup: ReliefNet.coaMember <<-?- MedixFund
+update.6.4.processing = verifier
+update.6.4.satisfied = Satisfied
+
+update.6.5.type = node
+update.6.5.nodeType = RoleTarget
+update.6.5.name = MedSup: MedSup.partner <<-?- MedixFund
+update.6.5.processing = fully
+update.6.5.satisfied = Satisfied
+
+update.6.6.type = node
+update.6.6.nodeType = LinkedRoleTarget
+update.6.6.name = MedSup: MedSup.partner.pA <<-?- Alice
+update.6.6.processing = fully
+update.6.6.satisfied = Satisfied
+
+update.6.7.type = node
+update.6.7.nodeType = RoleTarget
+update.6.7.name = MedSup: MedSup.discount <<-?- Alice
+update.6.7.processing = fully
+update.6.7.satisfied = Satisfied
+
+update.6.8.type = node
+update.6.8.name = MedSup: ReliefNet.coaMember <<-?- MedixFund
+update.6.8.processing = opponent
+
Index: fedd/abac-src/atnvis/linked/SAdmir.prop
===================================================================
--- fedd/abac-src/atnvis/linked/SAdmir.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/linked/SAdmir.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,439 @@
+subject = SAdmir
+
+update.1.location = local
+
+update.1.1.type = node
+update.1.1.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.1.nodeType = RoleTarget
+update.1.1.isRoot = True
+
+update.1.2.type = node
+update.1.2.nodeType = RoleTarget
+update.1.2.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+update.1.3.type = node
+update.1.3.nodeType = RoleTarget
+update.1.3.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+update.1.4.type = edge
+update.1.4.edgeType = Implication
+update.1.4.parentName = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.4.childName = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.4.childType = IntersectionTarget
+update.1.4.childProcessing = opponent
+update.1.4.evidence.1 = SAdmir.getsSLocs<-SE.friendly.usr ^ SAdmir.needsSLocs
+
+update.1.5.type = node
+update.1.5.nodeType = IntersectionTarget
+update.1.5.name = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.5.processing = opponent
+update.1.5.satisfied = Unknown
+
+update.1.6.type = node
+update.1.6.nodeType = RoleTarget
+update.1.6.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.6.processing = opponent
+update.1.6.satisfied = Unknown
+
+update.1.7.type = node
+update.1.7.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.7.processing = verifier
+
+update.1.8.type = edge
+update.1.8.edgeType = Intersection
+update.1.8.parentName = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.8.childName = SAdmir: SE.friendly.usr <<-?- USSH
+update.1.8.childType = LinkedRoleTarget
+update.1.8.childProcessing = opponent
+
+update.1.9.type = node
+update.1.9.nodeType = LinkedRoleTarget
+update.1.9.name = SAdmir: SE.friendly.usr <<-?- USSH
+update.1.9.processing = opponent
+update.1.9.satisfied = Unknown
+
+update.1.10.type = edge
+update.1.10.edgeType = Intersection
+update.1.10.parentName = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.10.childName = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.10.childType = RoleTarget
+update.1.10.childProcessing = opponent
+
+update.1.11.type = node
+update.1.11.nodeType = RoleTarget
+update.1.11.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.11.processing = opponent
+update.1.11.satisfied = Unknown
+
+update.1.12.type = edge
+update.1.12.edgeType = Implication
+update.1.12.parentName = SAdmir: SE.friendly.usr <<-?- USSH
+update.1.12.childName = SAdmir: US.usr <<-?- USSH
+update.1.12.childType = RoleTarget
+update.1.12.childProcessing = verifier
+
+update.1.13.type = node
+update.1.13.nodeType = RoleTarget
+update.1.13.name = SAdmir: US.usr <<-?- USSH
+update.1.13.processing = verifier
+update.1.13.satisfied = Unknown
+
+update.1.14.type = node
+update.1.14.nodeType = LinkedRoleTarget
+update.1.14.name = SAdmir: SE.friendly.usr <<-?- USSH
+update.1.14.processing = opponent
+update.1.14.satisfied = Unknown
+
+update.1.15.type = node
+update.1.15.name = SAdmir: SE.friendly.usr <<-?- USSH
+update.1.15.processing = verifier
+
+update.1.16.type = edge
+update.1.16.edgeType = Implication
+update.1.16.parentName = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.16.childName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.16.childType = LinkedRoleTarget
+update.1.16.childProcessing = opponent
+update.1.16.evidence.1 = SAdmir.needsSLocs<-SAdmir.NRetTacCom.NRetTacUsr
+
+update.1.17.type = node
+update.1.17.nodeType = LinkedRoleTarget
+update.1.17.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.17.processing = opponent
+update.1.17.satisfied = Unknown
+
+update.1.18.type = node
+update.1.18.nodeType = RoleTarget
+update.1.18.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.18.processing = opponent
+update.1.18.satisfied = Unknown
+
+update.1.19.type = node
+update.1.19.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.19.processing = verifier
+
+update.1.20.type = edge
+update.1.20.edgeType = LinkingMonitor
+update.1.20.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.20.childName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.1.20.childType = LinkingGoal
+update.1.20.childProcessing = verifier
+
+update.1.21.type = node
+update.1.21.nodeType = LinkingGoal
+update.1.21.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.1.21.processing = verifier
+update.1.21.satisfied = Incomplete
+
+update.2.location = remote
+
+update.2.1.type = edge
+update.2.1.edgeType = Implication
+update.2.1.parentName = SAdmir: US.usr <<-?- USSH
+update.2.1.childName = SAdmir: USSH <<-?- USSH
+update.2.1.childType = TrivialTarget
+update.2.1.childProcessing = fully
+update.2.1.evidence.1 = US.usr<-USSH
+
+update.2.2.type = node
+update.2.2.nodeType = TrivialTarget
+update.2.2.name = SAdmir: USSH <<-?- USSH
+update.2.2.processing = fully
+update.2.2.satisfied = Satisfied
+
+update.2.3.type = node
+update.2.3.nodeType = RoleTarget
+update.2.3.name = SAdmir: US.usr <<-?- USSH
+update.2.3.processing = verifier
+update.2.3.satisfied = Unknown
+
+update.2.4.type = node
+update.2.4.nodeType = RoleTarget
+update.2.4.name = SAdmir: US.usr <<-?- USSH
+update.2.4.processing = verifier
+update.2.4.satisfied = Satisfied
+
+update.2.5.type = node
+update.2.5.nodeType = LinkedRoleTarget
+update.2.5.name = SAdmir: SE.friendly.usr <<-?- USSH
+update.2.5.processing = fully
+update.2.5.satisfied = Satisfied
+
+update.2.6.type = node
+update.2.6.name = SAdmir: US.usr <<-?- USSH
+update.2.6.processing = opponent
+
+update.2.7.type = edge
+update.2.7.edgeType = LinkingSolution
+update.2.7.parentName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.7.childName = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.7.childType = RoleTarget
+update.2.7.childProcessing = verifier
+
+update.2.8.type = node
+update.2.8.nodeType = RoleTarget
+update.2.8.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.8.processing = verifier
+update.2.8.satisfied = Unknown
+
+update.2.9.type = node
+update.2.9.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.9.processing = opponent
+
+update.2.10.type = node
+update.2.10.nodeType = LinkingGoal
+update.2.10.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.10.processing = fully
+update.2.10.satisfied = Incomplete
+
+update.2.11.type = edge
+update.2.11.edgeType = Implication
+update.2.11.parentName = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.11.childName = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.11.childType = RoleTarget
+update.2.11.childProcessing = verifier
+update.2.11.evidence.1 = RADMSmith.NRetTacUsr<-USN.assignedNRet
+
+update.2.12.type = node
+update.2.12.nodeType = RoleTarget
+update.2.12.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.12.processing = verifier
+update.2.12.satisfied = Unknown
+
+update.2.13.type = node
+update.2.13.nodeType = RoleTarget
+update.2.13.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.13.processing = verifier
+update.2.13.satisfied = Unknown
+
+update.2.14.type = node
+update.2.14.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.14.processing = opponent
+
+update.2.15.type = edge
+update.2.15.edgeType = Control
+update.2.15.parentName = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.15.childName = USSH: US.friendly.usr <<-?- SAdmir
+update.2.15.childType = LinkedRoleTarget
+update.2.15.childProcessing = opponent
+
+update.2.16.type = node
+update.2.16.nodeType = LinkedRoleTarget
+update.2.16.name = USSH: US.friendly.usr <<-?- SAdmir
+update.2.16.processing = opponent
+update.2.16.satisfied = Unknown
+
+update.2.17.type = edge
+update.2.17.edgeType = Implication
+update.2.17.parentName = USSH: US.friendly.usr <<-?- SAdmir
+update.2.17.childName = USSH: SE.usr <<-?- SAdmir
+update.2.17.childType = RoleTarget
+update.2.17.childProcessing = verifier
+
+update.2.18.type = node
+update.2.18.nodeType = RoleTarget
+update.2.18.name = USSH: SE.usr <<-?- SAdmir
+update.2.18.processing = verifier
+update.2.18.satisfied = Unknown
+
+update.2.19.type = node
+update.2.19.nodeType = LinkedRoleTarget
+update.2.19.name = USSH: US.friendly.usr <<-?- SAdmir
+update.2.19.processing = opponent
+update.2.19.satisfied = Unknown
+
+update.2.20.type = node
+update.2.20.name = USSH: US.friendly.usr <<-?- SAdmir
+update.2.20.processing = verifier
+
+update.3.location = local
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = USSH: SE.usr <<-?- SAdmir
+update.3.1.childName = USSH: SAdmir <<-?- SAdmir
+update.3.1.childType = TrivialTarget
+update.3.1.childProcessing = fully
+update.3.1.evidence.1 = SE.usr<-SAdmir
+
+update.3.2.type = node
+update.3.2.nodeType = TrivialTarget
+update.3.2.name = USSH: SAdmir <<-?- SAdmir
+update.3.2.processing = fully
+update.3.2.satisfied = Satisfied
+
+update.3.3.type = node
+update.3.3.nodeType = RoleTarget
+update.3.3.name = USSH: SE.usr <<-?- SAdmir
+update.3.3.processing = verifier
+update.3.3.satisfied = Unknown
+
+update.3.4.type = node
+update.3.4.nodeType = RoleTarget
+update.3.4.name = USSH: SE.usr <<-?- SAdmir
+update.3.4.processing = verifier
+update.3.4.satisfied = Satisfied
+
+update.3.5.type = node
+update.3.5.nodeType = LinkedRoleTarget
+update.3.5.name = USSH: US.friendly.usr <<-?- SAdmir
+update.3.5.processing = fully
+update.3.5.satisfied = Satisfied
+
+update.3.6.type = node
+update.3.6.name = USSH: SE.usr <<-?- SAdmir
+update.3.6.processing = opponent
+
+update.4.location = remote
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.1.childName = SAdmir: USSH <<-?- USSH
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = null
+update.4.1.evidence.1 = USN.assignedNRet<-USSH
+
+update.4.2.type = node
+update.4.2.nodeType = RoleTarget
+update.4.2.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.2.processing = verifier
+update.4.2.satisfied = Unknown
+
+update.4.3.type = node
+update.4.3.nodeType = RoleTarget
+update.4.3.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.3.processing = verifier
+update.4.3.satisfied = Satisfied
+
+update.4.4.type = node
+update.4.4.nodeType = RoleTarget
+update.4.4.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.4.4.processing = fully
+update.4.4.satisfied = Satisfied
+
+update.4.5.type = node
+update.4.5.nodeType = LinkingGoal
+update.4.5.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.4.5.processing = fully
+update.4.5.satisfied = Complete
+
+update.4.6.type = node
+update.4.6.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.4.6.processing = verifier
+
+update.4.7.type = node
+update.4.7.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.7.processing = opponent
+
+update.5.location = local
+
+update.5.1.type = edge
+update.5.1.edgeType = LinkingImplication
+update.5.1.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.5.1.childName = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.1.childType = RoleTarget
+update.5.1.childProcessing = opponent
+
+update.5.2.type = node
+update.5.2.nodeType = RoleTarget
+update.5.2.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.2.processing = opponent
+update.5.2.satisfied = Unknown
+
+update.5.3.type = node
+update.5.3.nodeType = LinkedRoleTarget
+update.5.3.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.5.3.processing = fully
+update.5.3.satisfied = Unknown
+
+update.5.4.type = edge
+update.5.4.edgeType = Implication
+update.5.4.parentName = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.4.childName = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.5.4.childType = RoleTarget
+update.5.4.childProcessing = verifier
+update.5.4.evidence.1 = SAdmir.NRetTacCom<-USEUCOM.NRetUSTacCom
+
+update.5.5.type = node
+update.5.5.nodeType = RoleTarget
+update.5.5.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.5.5.processing = verifier
+update.5.5.satisfied = Unknown
+
+update.5.6.type = node
+update.5.6.nodeType = RoleTarget
+update.5.6.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.6.processing = opponent
+update.5.6.satisfied = Unknown
+
+update.5.7.type = node
+update.5.7.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.7.processing = verifier
+
+update.6.location = remote
+
+update.6.1.type = edge
+update.6.1.edgeType = Implication
+update.6.1.parentName = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.1.childName = SAdmir: RADMSmith <<-?- RADMSmith
+update.6.1.childType = TrivialTarget
+update.6.1.childProcessing = fully
+update.6.1.evidence.1 = USEUCOM.NRetUSTacCom<-RADMSmith
+
+update.6.2.type = node
+update.6.2.nodeType = TrivialTarget
+update.6.2.name = SAdmir: RADMSmith <<-?- RADMSmith
+update.6.2.processing = fully
+update.6.2.satisfied = Satisfied
+
+update.6.3.type = node
+update.6.3.nodeType = RoleTarget
+update.6.3.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.3.processing = verifier
+update.6.3.satisfied = Unknown
+
+update.6.4.type = node
+update.6.4.nodeType = RoleTarget
+update.6.4.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.4.processing = verifier
+update.6.4.satisfied = Satisfied
+
+update.6.5.type = node
+update.6.5.nodeType = RoleTarget
+update.6.5.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.6.5.processing = fully
+update.6.5.satisfied = Satisfied
+
+update.6.6.type = node
+update.6.6.nodeType = LinkedRoleTarget
+update.6.6.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.6.6.processing = fully
+update.6.6.satisfied = Satisfied
+
+update.6.7.type = node
+update.6.7.nodeType = RoleTarget
+update.6.7.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.6.7.processing = fully
+update.6.7.satisfied = Satisfied
+
+update.6.8.type = node
+update.6.8.nodeType = IntersectionTarget
+update.6.8.name = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.6.8.processing = fully
+update.6.8.satisfied = Satisfied
+
+update.6.9.type = node
+update.6.9.nodeType = RoleTarget
+update.6.9.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.6.9.processing = fully
+update.6.9.satisfied = Satisfied
+
+update.6.10.type = node
+update.6.10.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.10.processing = opponent
+
Index: fedd/abac-src/atnvis/linked/SEAdmirKDR.prop
===================================================================
--- fedd/abac-src/atnvis/linked/SEAdmirKDR.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/linked/SEAdmirKDR.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,277 @@
+subject = SEAdmirKDR
+
+update.1.location = local
+
+update.1.1.type = node
+update.1.1.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.1.nodeType = RoleTarget
+update.1.1.isRoot = True
+
+
+update.1.2.type = node
+update.1.2.nodeType = RoleTarget
+update.1.2.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+
+update.1.3.type = node
+update.1.3.nodeType = RoleTarget
+update.1.3.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+
+update.1.4.type = edge
+update.1.4.edgeType = Implication
+update.1.4.parentName = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.4.childName = SEAdmirKDR: SE.usr <<-?- USSHoward
+update.1.4.childType = RoleTarget
+update.1.4.childProcessing = verifier
+update.1.4.evidence.1 = SEAdmirKDR.readsSELocs<-SE.usr
+
+
+update.1.5.type = node
+update.1.5.nodeType = RoleTarget
+update.1.5.name = SEAdmirKDR: SE.usr <<-?- USSHoward
+update.1.5.processing = verifier
+update.1.5.satisfied = Unknown
+
+
+update.1.6.type = node
+update.1.6.nodeType = RoleTarget
+update.1.6.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.6.processing = opponent
+update.1.6.satisfied = Unknown
+
+update.1.7.type = edge
+update.1.7.edgeType = Implication
+update.1.7.parentName = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.7.childName = SEAdmirKDR: USEUCOM.NRetTacUsr <<-?- USSHoward
+update.1.7.childType = RoleTarget
+update.1.7.childProcessing = verifier
+update.1.7.evidence.1 = SEAdmirKDR.readsSELocs<-USEUCOM.NRetTacUsr
+
+
+update.1.8.type = node
+update.1.8.nodeType = RoleTarget
+update.1.8.name = SEAdmirKDR: USEUCOM.NRetTacUsr <<-?- USSHoward
+update.1.8.processing = verifier
+update.1.8.satisfied = Unknown
+
+
+update.1.9.type = node
+update.1.9.nodeType = RoleTarget
+update.1.9.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.9.processing = opponent
+update.1.9.satisfied = Unknown
+
+update.1.10.type = node
+update.1.10.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.10.processing = verifier
+
+
+
+
+update.2.location = remote
+
+update.2.1.type = node
+update.2.1.name = SEAdmirKDR: SE.usr <<-?- USSHoward
+update.2.1.processing = opponent
+
+
+update.2.2.type = edge
+update.2.2.edgeType = Implication
+update.2.2.parentName = SEAdmirKDR: USEUCOM.NRetTacUsr <<-?- USSHoward
+update.2.2.childName = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.2.2.childType = RoleTarget
+update.2.2.childProcessing = verifier
+
+
+update.2.3.type = node
+update.2.3.nodeType = RoleTarget
+update.2.3.name = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.2.3.processing = verifier
+update.2.3.satisfied = Unknown
+
+
+update.2.4.type = node
+update.2.4.nodeType = RoleTarget
+update.2.4.name = SEAdmirKDR: USEUCOM.NRetTacUsr <<-?- USSHoward
+update.2.4.processing = verifier
+update.2.4.satisfied = Unknown
+
+update.2.5.type = node
+update.2.5.name = SEAdmirKDR: USEUCOM.NRetTacUsr <<-?- USSHoward
+update.2.5.processing = opponent
+
+
+update.2.6.type = edge
+update.2.6.edgeType = Control
+update.2.6.parentName = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.2.6.childName = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.6.childType = RoleTarget
+update.2.6.childProcessing = opponent
+
+
+update.2.7.type = node
+update.2.7.nodeType = RoleTarget
+update.2.7.name = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.7.processing = opponent
+update.2.7.satisfied = Unknown
+
+
+update.2.8.type = edge
+update.2.8.edgeType = Implication
+update.2.8.parentName = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.8.childName = USSHoward: US.usr <<-?- SEAdmirKDR
+update.2.8.childType = RoleTarget
+update.2.8.childProcessing = verifier
+
+
+update.2.9.type = node
+update.2.9.nodeType = RoleTarget
+update.2.9.name = USSHoward: US.usr <<-?- SEAdmirKDR
+update.2.9.processing = verifier
+update.2.9.satisfied = Unknown
+
+
+update.2.10.type = node
+update.2.10.nodeType = RoleTarget
+update.2.10.name = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.10.processing = opponent
+update.2.10.satisfied = Unknown
+
+update.2.11.type = edge
+update.2.11.edgeType = Implication
+update.2.11.parentName = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.11.childName = USSHoward: SE.usr <<-?- SEAdmirKDR
+update.2.11.childType = RoleTarget
+update.2.11.childProcessing = verifier
+
+
+update.2.12.type = node
+update.2.12.nodeType = RoleTarget
+update.2.12.name = USSHoward: SE.usr <<-?- SEAdmirKDR
+update.2.12.processing = verifier
+update.2.12.satisfied = Unknown
+
+
+update.2.13.type = node
+update.2.13.nodeType = RoleTarget
+update.2.13.name = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.13.processing = opponent
+update.2.13.satisfied = Unknown
+
+update.2.14.type = node
+update.2.14.name = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.14.processing = verifier
+
+
+update.3.location = local
+
+update.3.1.type = node
+update.3.1.name = USSHoward: US.usr <<-?- SEAdmirKDR
+update.3.1.processing = opponent
+
+
+update.3.2.type = edge
+update.3.2.edgeType = Implication
+update.3.2.parentName = USSHoward: SE.usr <<-?- SEAdmirKDR
+update.3.2.childName = USSHoward: SEAdmirKDR <<-?- SEAdmirKDR
+update.3.2.childType = TrivialTarget
+update.3.2.childProcessing = fully
+
+
+update.3.3.type = node
+update.3.3.nodeType = TrivialTarget
+update.3.3.name = USSHoward: SEAdmirKDR <<-?- SEAdmirKDR
+update.3.3.processing = fully
+update.3.3.satisfied = Satisfied
+
+
+update.3.4.type = node
+update.3.4.nodeType = RoleTarget
+update.3.4.name = USSHoward: SE.usr <<-?- SEAdmirKDR
+update.3.4.processing = verifier
+update.3.4.satisfied = Unknown
+
+update.3.5.type = node
+update.3.5.nodeType = TrivialTarget
+update.3.5.name = USSHoward: SEAdmirKDR <<-?- SEAdmirKDR
+update.3.5.processing = fully
+update.3.5.satisfied = Satisfied
+
+update.3.6.type = node
+update.3.6.nodeType = RoleTarget
+update.3.6.name = USSHoward: SE.usr <<-?- SEAdmirKDR
+update.3.6.processing = verifier
+update.3.6.satisfied = Satisfied
+
+update.3.7.type = node
+update.3.7.nodeType = RoleTarget
+update.3.7.name = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.3.7.processing = fully
+update.3.7.satisfied = Satisfied
+
+update.3.8.type = node
+update.3.8.name = USSHoward: SE.usr <<-?- SEAdmirKDR
+update.3.8.processing = opponent
+
+
+
+
+update.4.location = remote
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.4.1.childName = SEAdmirKDR: USSHoward <<-?- USSHoward
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = fully
+
+
+update.4.2.type = node
+update.4.2.nodeType = TrivialTarget
+update.4.2.name = SEAdmirKDR: USSHoward <<-?- USSHoward
+update.4.2.processing = fully
+update.4.2.satisfied = Satisfied
+
+
+update.4.3.type = node
+update.4.3.nodeType = RoleTarget
+update.4.3.name = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.4.3.processing = verifier
+update.4.3.satisfied = Unknown
+
+update.4.4.type = node
+update.4.4.nodeType = TrivialTarget
+update.4.4.name = SEAdmirKDR: USSHoward <<-?- USSHoward
+update.4.4.processing = fully
+update.4.4.satisfied = Satisfied
+
+update.4.5.type = node
+update.4.5.nodeType = RoleTarget
+update.4.5.name = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.4.5.processing = verifier
+update.4.5.satisfied = Satisfied
+
+update.4.6.type = node
+update.4.6.nodeType = RoleTarget
+update.4.6.name = SEAdmirKDR: USEUCOM.NRetTacUsr <<-?- USSHoward
+update.4.6.processing = fully
+update.4.6.satisfied = Satisfied
+
+update.4.7.type = node
+update.4.7.nodeType = RoleTarget
+update.4.7.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.4.7.processing = fully
+update.4.7.satisfied = Satisfied
+
+update.4.8.type = node
+update.4.8.name = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.4.8.processing = opponent
+
+
+
+
Index: fedd/abac-src/atnvis/linked/USSH.prop
===================================================================
--- fedd/abac-src/atnvis/linked/USSH.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/linked/USSH.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,440 @@
+subject = USSH
+policy.1 = Ack[USN.assignedNRet] = US.friendly.usr
+
+update.1.location = remote
+
+update.1.1.type = node
+update.1.1.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.1.nodeType = RoleTarget
+update.1.1.isRoot = True
+
+update.1.2.type = node
+update.1.2.nodeType = RoleTarget
+update.1.2.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+update.1.3.type = node
+update.1.3.nodeType = RoleTarget
+update.1.3.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+update.1.4.type = edge
+update.1.4.edgeType = Implication
+update.1.4.parentName = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.4.childName = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.4.childType = IntersectionTarget
+update.1.4.childProcessing = opponent
+update.1.4.evidence.1 = SAdmir.getsSLocs<-SE.friendly.usr ^ SAdmir.needsSLocs
+
+update.1.5.type = node
+update.1.5.nodeType = IntersectionTarget
+update.1.5.name = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.5.processing = opponent
+update.1.5.satisfied = Unknown
+
+update.1.6.type = node
+update.1.6.nodeType = RoleTarget
+update.1.6.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.6.processing = opponent
+update.1.6.satisfied = Unknown
+
+update.1.7.type = node
+update.1.7.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.7.processing = verifier
+
+update.1.8.type = edge
+update.1.8.edgeType = Intersection
+update.1.8.parentName = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.8.childName = SAdmir: SE.friendly.usr <<-?- USSH
+update.1.8.childType = LinkedRoleTarget
+update.1.8.childProcessing = opponent
+
+update.1.9.type = node
+update.1.9.nodeType = LinkedRoleTarget
+update.1.9.name = SAdmir: SE.friendly.usr <<-?- USSH
+update.1.9.processing = opponent
+update.1.9.satisfied = Unknown
+
+update.1.10.type = edge
+update.1.10.edgeType = Intersection
+update.1.10.parentName = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.10.childName = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.10.childType = RoleTarget
+update.1.10.childProcessing = opponent
+
+update.1.11.type = node
+update.1.11.nodeType = RoleTarget
+update.1.11.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.11.processing = opponent
+update.1.11.satisfied = Unknown
+
+update.1.12.type = edge
+update.1.12.edgeType = Implication
+update.1.12.parentName = SAdmir: SE.friendly.usr <<-?- USSH
+update.1.12.childName = SAdmir: US.usr <<-?- USSH
+update.1.12.childType = RoleTarget
+update.1.12.childProcessing = verifier
+
+update.1.13.type = node
+update.1.13.nodeType = RoleTarget
+update.1.13.name = SAdmir: US.usr <<-?- USSH
+update.1.13.processing = verifier
+update.1.13.satisfied = Unknown
+
+update.1.14.type = node
+update.1.14.nodeType = LinkedRoleTarget
+update.1.14.name = SAdmir: SE.friendly.usr <<-?- USSH
+update.1.14.processing = opponent
+update.1.14.satisfied = Unknown
+
+update.1.15.type = node
+update.1.15.name = SAdmir: SE.friendly.usr <<-?- USSH
+update.1.15.processing = verifier
+
+update.1.16.type = edge
+update.1.16.edgeType = Implication
+update.1.16.parentName = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.16.childName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.16.childType = LinkedRoleTarget
+update.1.16.childProcessing = opponent
+update.1.16.evidence.1 = SAdmir.needsSLocs<-SAdmir.NRetTacCom.NRetTacUsr
+
+update.1.17.type = node
+update.1.17.nodeType = LinkedRoleTarget
+update.1.17.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.17.processing = opponent
+update.1.17.satisfied = Unknown
+
+update.1.18.type = node
+update.1.18.nodeType = RoleTarget
+update.1.18.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.18.processing = opponent
+update.1.18.satisfied = Unknown
+
+update.1.19.type = node
+update.1.19.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.19.processing = verifier
+
+update.1.20.type = edge
+update.1.20.edgeType = LinkingMonitor
+update.1.20.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.20.childName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.1.20.childType = LinkingGoal
+update.1.20.childProcessing = verifier
+
+update.1.21.type = node
+update.1.21.nodeType = LinkingGoal
+update.1.21.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.1.21.processing = verifier
+update.1.21.satisfied = Incomplete
+
+update.2.location = local
+
+update.2.1.type = edge
+update.2.1.edgeType = Implication
+update.2.1.parentName = SAdmir: US.usr <<-?- USSH
+update.2.1.childName = SAdmir: USSH <<-?- USSH
+update.2.1.childType = TrivialTarget
+update.2.1.childProcessing = fully
+update.2.1.evidence.1 = US.usr<-USSH
+
+update.2.2.type = node
+update.2.2.nodeType = TrivialTarget
+update.2.2.name = SAdmir: USSH <<-?- USSH
+update.2.2.processing = fully
+update.2.2.satisfied = Satisfied
+
+update.2.3.type = node
+update.2.3.nodeType = RoleTarget
+update.2.3.name = SAdmir: US.usr <<-?- USSH
+update.2.3.processing = verifier
+update.2.3.satisfied = Unknown
+
+update.2.4.type = node
+update.2.4.nodeType = RoleTarget
+update.2.4.name = SAdmir: US.usr <<-?- USSH
+update.2.4.processing = verifier
+update.2.4.satisfied = Satisfied
+
+update.2.5.type = node
+update.2.5.nodeType = LinkedRoleTarget
+update.2.5.name = SAdmir: SE.friendly.usr <<-?- USSH
+update.2.5.processing = fully
+update.2.5.satisfied = Satisfied
+
+update.2.6.type = node
+update.2.6.name = SAdmir: US.usr <<-?- USSH
+update.2.6.processing = opponent
+
+update.2.7.type = edge
+update.2.7.edgeType = LinkingSolution
+update.2.7.parentName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.7.childName = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.7.childType = RoleTarget
+update.2.7.childProcessing = verifier
+
+update.2.8.type = node
+update.2.8.nodeType = RoleTarget
+update.2.8.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.8.processing = verifier
+update.2.8.satisfied = Unknown
+
+update.2.9.type = node
+update.2.9.nodeType = LinkingGoal
+update.2.9.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.9.processing = fully
+update.2.9.satisfied = Incomplete
+
+update.2.10.type = node
+update.2.10.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.10.processing = opponent
+
+update.2.11.type = edge
+update.2.11.edgeType = Implication
+update.2.11.parentName = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.11.childName = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.11.childType = RoleTarget
+update.2.11.childProcessing = verifier
+update.2.11.evidence.1 = RADMSmith.NRetTacUsr<-USN.assignedNRet
+
+update.2.12.type = node
+update.2.12.nodeType = RoleTarget
+update.2.12.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.12.processing = verifier
+update.2.12.satisfied = Unknown
+
+update.2.13.type = node
+update.2.13.nodeType = RoleTarget
+update.2.13.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.13.processing = verifier
+update.2.13.satisfied = Unknown
+
+update.2.14.type = node
+update.2.14.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.14.processing = opponent
+
+update.2.15.type = edge
+update.2.15.edgeType = Control
+update.2.15.parentName = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.15.childName = USSH: US.friendly.usr <<-?- SAdmir
+update.2.15.childType = LinkedRoleTarget
+update.2.15.childProcessing = opponent
+
+update.2.16.type = node
+update.2.16.nodeType = LinkedRoleTarget
+update.2.16.name = USSH: US.friendly.usr <<-?- SAdmir
+update.2.16.processing = opponent
+update.2.16.satisfied = Unknown
+
+update.2.17.type = edge
+update.2.17.edgeType = Implication
+update.2.17.parentName = USSH: US.friendly.usr <<-?- SAdmir
+update.2.17.childName = USSH: SE.usr <<-?- SAdmir
+update.2.17.childType = RoleTarget
+update.2.17.childProcessing = verifier
+
+update.2.18.type = node
+update.2.18.nodeType = RoleTarget
+update.2.18.name = USSH: SE.usr <<-?- SAdmir
+update.2.18.processing = verifier
+update.2.18.satisfied = Unknown
+
+update.2.19.type = node
+update.2.19.nodeType = LinkedRoleTarget
+update.2.19.name = USSH: US.friendly.usr <<-?- SAdmir
+update.2.19.processing = opponent
+update.2.19.satisfied = Unknown
+
+update.2.20.type = node
+update.2.20.name = USSH: US.friendly.usr <<-?- SAdmir
+update.2.20.processing = verifier
+
+update.3.location = remote
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = USSH: SE.usr <<-?- SAdmir
+update.3.1.childName = USSH: SAdmir <<-?- SAdmir
+update.3.1.childType = TrivialTarget
+update.3.1.childProcessing = fully
+update.3.1.evidence.1 = SE.usr<-SAdmir
+
+update.3.2.type = node
+update.3.2.nodeType = TrivialTarget
+update.3.2.name = USSH: SAdmir <<-?- SAdmir
+update.3.2.processing = fully
+update.3.2.satisfied = Satisfied
+
+update.3.3.type = node
+update.3.3.nodeType = RoleTarget
+update.3.3.name = USSH: SE.usr <<-?- SAdmir
+update.3.3.processing = verifier
+update.3.3.satisfied = Unknown
+
+update.3.4.type = node
+update.3.4.nodeType = RoleTarget
+update.3.4.name = USSH: SE.usr <<-?- SAdmir
+update.3.4.processing = verifier
+update.3.4.satisfied = Satisfied
+
+update.3.5.type = node
+update.3.5.nodeType = LinkedRoleTarget
+update.3.5.name = USSH: US.friendly.usr <<-?- SAdmir
+update.3.5.processing = fully
+update.3.5.satisfied = Satisfied
+
+update.3.6.type = node
+update.3.6.name = USSH: SE.usr <<-?- SAdmir
+update.3.6.processing = opponent
+
+update.4.location = local
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.1.childName = SAdmir: USSH <<-?- USSH
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = null
+update.4.1.evidence.1 = USN.assignedNRet<-USSH
+
+update.4.2.type = node
+update.4.2.nodeType = RoleTarget
+update.4.2.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.2.processing = verifier
+update.4.2.satisfied = Unknown
+
+update.4.3.type = node
+update.4.3.nodeType = RoleTarget
+update.4.3.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.3.processing = verifier
+update.4.3.satisfied = Satisfied
+
+update.4.4.type = node
+update.4.4.nodeType = RoleTarget
+update.4.4.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.4.4.processing = fully
+update.4.4.satisfied = Satisfied
+
+update.4.5.type = node
+update.4.5.nodeType = LinkingGoal
+update.4.5.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.4.5.processing = fully
+update.4.5.satisfied = Complete
+
+update.4.6.type = node
+update.4.6.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.6.processing = opponent
+
+update.5.location = remote
+
+update.5.1.type = edge
+update.5.1.edgeType = LinkingImplication
+update.5.1.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.5.1.childName = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.1.childType = RoleTarget
+update.5.1.childProcessing = opponent
+
+update.5.2.type = node
+update.5.2.nodeType = RoleTarget
+update.5.2.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.2.processing = opponent
+update.5.2.satisfied = Unknown
+
+update.5.3.type = node
+update.5.3.nodeType = LinkedRoleTarget
+update.5.3.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.5.3.processing = opponent
+update.5.3.satisfied = Unknown
+
+update.5.4.type = node
+update.5.4.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.5.4.processing = verifier
+
+update.5.5.type = edge
+update.5.5.edgeType = Implication
+update.5.5.parentName = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.5.childName = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.5.5.childType = RoleTarget
+update.5.5.childProcessing = verifier
+update.5.5.evidence.1 = SAdmir.NRetTacCom<-USEUCOM.NRetUSTacCom
+
+update.5.6.type = node
+update.5.6.nodeType = RoleTarget
+update.5.6.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.5.6.processing = verifier
+update.5.6.satisfied = Unknown
+
+update.5.7.type = node
+update.5.7.nodeType = RoleTarget
+update.5.7.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.7.processing = opponent
+update.5.7.satisfied = Unknown
+
+update.5.8.type = node
+update.5.8.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.8.processing = verifier
+
+update.6.location = local
+
+update.6.1.type = edge
+update.6.1.edgeType = Implication
+update.6.1.parentName = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.1.childName = SAdmir: RADMSmith <<-?- RADMSmith
+update.6.1.childType = TrivialTarget
+update.6.1.childProcessing = fully
+update.6.1.evidence.1 = USEUCOM.NRetUSTacCom<-RADMSmith
+
+update.6.2.type = node
+update.6.2.nodeType = TrivialTarget
+update.6.2.name = SAdmir: RADMSmith <<-?- RADMSmith
+update.6.2.processing = fully
+update.6.2.satisfied = Satisfied
+
+update.6.3.type = node
+update.6.3.nodeType = RoleTarget
+update.6.3.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.3.processing = verifier
+update.6.3.satisfied = Unknown
+
+update.6.4.type = node
+update.6.4.nodeType = RoleTarget
+update.6.4.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.4.processing = verifier
+update.6.4.satisfied = Satisfied
+
+update.6.5.type = node
+update.6.5.nodeType = RoleTarget
+update.6.5.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.6.5.processing = fully
+update.6.5.satisfied = Satisfied
+
+update.6.6.type = node
+update.6.6.nodeType = LinkedRoleTarget
+update.6.6.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.6.6.processing = fully
+update.6.6.satisfied = Satisfied
+
+update.6.7.type = node
+update.6.7.nodeType = RoleTarget
+update.6.7.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.6.7.processing = fully
+update.6.7.satisfied = Satisfied
+
+update.6.8.type = node
+update.6.8.nodeType = IntersectionTarget
+update.6.8.name = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.6.8.processing = opponent
+update.6.8.satisfied = Satisfied
+
+update.6.9.type = node
+update.6.9.nodeType = RoleTarget
+update.6.9.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.6.9.processing = fully
+update.6.9.satisfied = Satisfied
+
+update.6.10.type = node
+update.6.10.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.10.processing = opponent
+
Index: fedd/abac-src/atnvis/linked/USSHoward.prop
===================================================================
--- fedd/abac-src/atnvis/linked/USSHoward.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/linked/USSHoward.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,277 @@
+subject = USSHoward
+policy.1 = Ack[USN.assignedNRet] = US.friendlyUsr
+
+update.1.location = remote
+
+update.1.1.type = node
+update.1.1.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.1.nodeType = RoleTarget
+update.1.1.isRoot = True
+
+
+update.1.2.type = node
+update.1.2.nodeType = RoleTarget
+update.1.2.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+
+update.1.3.type = node
+update.1.3.nodeType = RoleTarget
+update.1.3.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+
+update.1.4.type = edge
+update.1.4.edgeType = Implication
+update.1.4.parentName = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.4.childName = SEAdmirKDR: SE.usr <<-?- USSHoward
+update.1.4.childType = RoleTarget
+update.1.4.childProcessing = verifier
+
+
+update.1.5.type = node
+update.1.5.nodeType = RoleTarget
+update.1.5.name = SEAdmirKDR: SE.usr <<-?- USSHoward
+update.1.5.processing = verifier
+update.1.5.satisfied = Unknown
+
+
+update.1.6.type = node
+update.1.6.nodeType = RoleTarget
+update.1.6.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.6.processing = opponent
+update.1.6.satisfied = Unknown
+
+update.1.7.type = edge
+update.1.7.edgeType = Implication
+update.1.7.parentName = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.7.childName = SEAdmirKDR: USEUCOM.NRetTacUsr <<-?- USSHoward
+update.1.7.childType = RoleTarget
+update.1.7.childProcessing = verifier
+
+
+update.1.8.type = node
+update.1.8.nodeType = RoleTarget
+update.1.8.name = SEAdmirKDR: USEUCOM.NRetTacUsr <<-?- USSHoward
+update.1.8.processing = verifier
+update.1.8.satisfied = Unknown
+
+
+update.1.9.type = node
+update.1.9.nodeType = RoleTarget
+update.1.9.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.9.processing = opponent
+update.1.9.satisfied = Unknown
+
+update.1.10.type = node
+update.1.10.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.1.10.processing = verifier
+
+
+update.2.location = local
+
+update.2.1.type = node
+update.2.1.name = SEAdmirKDR: SE.usr <<-?- USSHoward
+update.2.1.processing = opponent
+
+
+update.2.2.type = edge
+update.2.2.edgeType = Implication
+update.2.2.parentName = SEAdmirKDR: USEUCOM.NRetTacUsr <<-?- USSHoward
+update.2.2.childName = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.2.2.childType = RoleTarget
+update.2.2.childProcessing = verifier
+update.2.2.evidence.1 = USEUCOM.NRetTacUsr<-USN.assignedNRet
+
+
+update.2.3.type = node
+update.2.3.nodeType = RoleTarget
+update.2.3.name = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.2.3.processing = verifier
+update.2.3.satisfied = Unknown
+
+
+update.2.4.type = node
+update.2.4.nodeType = RoleTarget
+update.2.4.name = SEAdmirKDR: USEUCOM.NRetTacUsr <<-?- USSHoward
+update.2.4.processing = verifier
+update.2.4.satisfied = Unknown
+
+update.2.5.type = node
+update.2.5.name = SEAdmirKDR: USEUCOM.NRetTacUsr <<-?- USSHoward
+update.2.5.processing = opponent
+
+
+update.2.6.type = edge
+update.2.6.edgeType = Control
+update.2.6.parentName = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.2.6.childName = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.6.childType = RoleTarget
+update.2.6.childProcessing = opponent
+
+
+update.2.7.type = node
+update.2.7.nodeType = RoleTarget
+update.2.7.name = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.7.processing = opponent
+update.2.7.satisfied = Unknown
+
+
+update.2.8.type = edge
+update.2.8.edgeType = Implication
+update.2.8.parentName = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.8.childName = USSHoward: US.usr <<-?- SEAdmirKDR
+update.2.8.childType = RoleTarget
+update.2.8.childProcessing = verifier
+update.2.8.evidence.1 = US.friendlyUsr<-US.usr
+
+
+update.2.9.type = node
+update.2.9.nodeType = RoleTarget
+update.2.9.name = USSHoward: US.usr <<-?- SEAdmirKDR
+update.2.9.processing = verifier
+update.2.9.satisfied = Unknown
+
+
+update.2.10.type = node
+update.2.10.nodeType = RoleTarget
+update.2.10.name = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.10.processing = opponent
+update.2.10.satisfied = Unknown
+
+update.2.11.type = edge
+update.2.11.edgeType = Implication
+update.2.11.parentName = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.11.childName = USSHoward: SE.usr <<-?- SEAdmirKDR
+update.2.11.childType = RoleTarget
+update.2.11.childProcessing = verifier
+update.2.11.evidence.1 = US.friendlyUsr<-SE.usr
+
+
+update.2.12.type = node
+update.2.12.nodeType = RoleTarget
+update.2.12.name = USSHoward: SE.usr <<-?- SEAdmirKDR
+update.2.12.processing = verifier
+update.2.12.satisfied = Unknown
+
+
+update.2.13.type = node
+update.2.13.nodeType = RoleTarget
+update.2.13.name = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.13.processing = opponent
+update.2.13.satisfied = Unknown
+
+update.2.14.type = node
+update.2.14.name = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.2.14.processing = verifier
+
+
+
+
+update.3.location = remote
+
+update.3.1.type = node
+update.3.1.name = USSHoward: US.usr <<-?- SEAdmirKDR
+update.3.1.processing = opponent
+
+
+update.3.2.type = edge
+update.3.2.edgeType = Implication
+update.3.2.parentName = USSHoward: SE.usr <<-?- SEAdmirKDR
+update.3.2.childName = USSHoward: SEAdmirKDR <<-?- SEAdmirKDR
+update.3.2.childType = TrivialTarget
+update.3.2.childProcessing = fully
+
+
+update.3.3.type = node
+update.3.3.nodeType = TrivialTarget
+update.3.3.name = USSHoward: SEAdmirKDR <<-?- SEAdmirKDR
+update.3.3.processing = fully
+update.3.3.satisfied = Satisfied
+
+
+update.3.4.type = node
+update.3.4.nodeType = RoleTarget
+update.3.4.name = USSHoward: SE.usr <<-?- SEAdmirKDR
+update.3.4.processing = verifier
+update.3.4.satisfied = Unknown
+
+update.3.5.type = node
+update.3.5.nodeType = TrivialTarget
+update.3.5.name = USSHoward: SEAdmirKDR <<-?- SEAdmirKDR
+update.3.5.processing = fully
+update.3.5.satisfied = Satisfied
+
+update.3.6.type = node
+update.3.6.nodeType = RoleTarget
+update.3.6.name = USSHoward: SE.usr <<-?- SEAdmirKDR
+update.3.6.processing = verifier
+update.3.6.satisfied = Satisfied
+
+update.3.7.type = node
+update.3.7.nodeType = RoleTarget
+update.3.7.name = USSHoward: US.friendlyUsr <<-?- SEAdmirKDR
+update.3.7.processing = fully
+update.3.7.satisfied = Satisfied
+
+update.3.8.type = node
+update.3.8.name = USSHoward: SE.usr <<-?- SEAdmirKDR
+update.3.8.processing = opponent
+
+
+update.4.location = local
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.4.1.childName = SEAdmirKDR: USSHoward <<-?- USSHoward
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = fully
+
+
+update.4.2.type = node
+update.4.2.nodeType = TrivialTarget
+update.4.2.name = SEAdmirKDR: USSHoward <<-?- USSHoward
+update.4.2.processing = fully
+update.4.2.satisfied = Satisfied
+
+
+update.4.3.type = node
+update.4.3.nodeType = RoleTarget
+update.4.3.name = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.4.3.processing = verifier
+update.4.3.satisfied = Unknown
+
+update.4.4.type = node
+update.4.4.nodeType = TrivialTarget
+update.4.4.name = SEAdmirKDR: USSHoward <<-?- USSHoward
+update.4.4.processing = fully
+update.4.4.satisfied = Satisfied
+
+update.4.5.type = node
+update.4.5.nodeType = RoleTarget
+update.4.5.name = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.4.5.processing = verifier
+update.4.5.satisfied = Satisfied
+
+update.4.6.type = node
+update.4.6.nodeType = RoleTarget
+update.4.6.name = SEAdmirKDR: USEUCOM.NRetTacUsr <<-?- USSHoward
+update.4.6.processing = fully
+update.4.6.satisfied = Satisfied
+
+update.4.7.type = node
+update.4.7.nodeType = RoleTarget
+update.4.7.name = SEAdmirKDR: SEAdmirKDR.readsSELocs <<-?- USSHoward
+update.4.7.processing = fully
+update.4.7.satisfied = Satisfied
+
+update.4.8.type = node
+update.4.8.name = SEAdmirKDR: USN.assignedNRet <<-?- USSHoward
+update.4.8.processing = opponent
+
+
+
+
Index: fedd/abac-src/atnvis/linked/USSHoward_future.prop
===================================================================
--- fedd/abac-src/atnvis/linked/USSHoward_future.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/linked/USSHoward_future.prop	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,251 @@
+subject = USSH
+policy.1 = Ack[USN.assignedNRet] = US.friendly.usr
+
+update.1.location = remote
+
+update.1.1.type = node
+update.1.1.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.1.nodeType = StandardTarget
+
+
+update.1.2.type = node
+update.1.2.nodeType = StandardTarget
+update.1.2.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.2.processing = unprocessed
+update.1.2.satisfied = Unknown
+
+
+update.1.3.type = node
+update.1.3.nodeType = StandardTarget
+update.1.3.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.3.processing = unprocessed
+update.1.3.satisfied = Unknown
+
+
+update.1.4.type = edge
+update.1.4.edgeType = Implication
+update.1.4.parentName = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.4.childName = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.4.childType = IntersectionTarget
+update.1.4.childProcessing = opponent
+update.1.4.evidence.1 = SAdmir.getsSLocs<-SE.friendly.usr ^ SAdmir.needsSLocs 
+
+update.1.5.type = node
+update.1.5.nodeType = StandardTarget
+update.1.5.name = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.5.processing = opponent
+update.1.5.satisfied = Unknown
+
+
+update.1.6.type = node
+update.1.6.nodeType = StandardTarget
+update.1.6.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.6.processing = opponent
+update.1.6.satisfied = Unknown
+
+update.1.7.type = node
+update.1.7.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.1.7.processing = verifier
+
+
+update.1.8.type = edge
+update.1.8.edgeType = Intersection
+update.1.8.parentName = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.8.childName = SAdmir: SE.friendly.usr <<-?- USSH
+update.1.8.childType = LinkedRoleTarget
+update.1.8.childProcessing = opponent
+
+update.1.9.type = edge
+update.1.9.edgeType = Intersection
+update.1.9.parentName = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.1.9.childName = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.9.childType = RoleTarget
+update.1.9.childProcessing = opponent
+
+update.1.10.type = edge
+update.1.10.edgeType = Implication
+update.1.10.parentName = SAdmir: SE.friendly.usr <<-?- USSH
+update.1.10.childName = SAdmir: US.usr <<-?- USSH
+update.1.10.childType = RoleTarget
+update.1.10.childProcessing = verifier
+update.1.10.evidence.1 = SE.friendly<-US
+
+update.1.11.type = edge
+update.1.11.edgeType = Implication
+update.1.11.parentName = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.1.11.childName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.11.childType = LinkedRoleTarget
+update.1.11.childProcessing = opponent
+update.1.11.evidence.1 =  SAdmir.needsSLocs<-SAdmir.NRetTacCom.NRetTacUsr
+
+update.1.12.type = edge
+update.1.12.edgeType = LinkingMonitor
+update.1.12.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.1.12.childName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.1.12.childType = LinkingGoal
+update.1.12.childProcessing = verifier
+update.1.12.evidence.1 =  SAdmir.needsSLocs<-SAdmir.NRetTacCom.NRetTacUsr
+
+
+update.2.location = local
+
+update.2.1.type = edge
+update.2.1.edgeType = Implication
+update.2.1.parentName = SAdmir: US.usr <<-?- USSH
+update.2.1.childName = SAdmir: USSH <<-?- USSHoward
+update.2.1.childType = TrivialTarget
+update.2.1.childProcessing = fully
+
+
+update.2.2.type = node
+update.2.2.nodeType = RoleTarget
+update.2.2.name = SAdmir: US.usr <<-?- USSH
+update.2.2.processing = fully
+update.2.2.satisfied = Satisfied
+
+update.2.3.type = node
+update.2.3.nodeType = LinkedRoleTarget
+update.2.3.name = SAdmir: SE.friendly.usr <<-?- USSH
+update.2.3.processing = fully
+update.2.3.satisfied = Satisfied
+
+update.2.4.type = edge
+update.2.4.edgeType = LinkingSolution
+update.2.4.parentName = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.2.4.childName = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.4.childType = RoleTarget
+update.2.4.childProcessing = verifier
+
+update.2.5.type = edge
+update.2.5.edgeType = Implication
+update.2.5.parentName = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.2.5.childName = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.5.childType = RoleTarget
+update.2.5.childProcessing = verifier
+
+update.2.6.type = edge
+update.2.6.edgeType = Control
+update.2.6.parentName = SAdmir: USN.assignedNRet <<-?- USSH
+update.2.6.childName = USSH: US.friendly.usr <<-?- SAdmir
+update.2.6.childType = LinkedRoleTarget
+update.2.6.childProcessing = opponent
+
+update.2.7.type = edge
+update.2.7.edgeType = Implication
+update.2.7.parentName = USSH: US.friendly.usr <<-?- SAdmir
+update.2.7.childName = USSH: SE.usr <<-?- SAdmir
+update.2.7.childType = RoleTarget
+update.2.7.childProcessing = verifier
+
+
+update.3.location = remote
+
+update.3.1.type = edge
+update.3.1.edgeType = Implication
+update.3.1.parentName = USSH: SE.usr <<-?- SAdmir
+update.3.1.childName = USSH: SAdmir <<-?- SAdmir
+update.3.1.childType = TrivialTarget
+update.3.1.childProcessing = fully
+
+update.3.2.type = node
+update.3.2.nodeType = RoleTarget
+update.3.2.name = USSH: SE.usr <<-?- SAdmir
+update.3.2.processing = fully
+update.3.2.satisfied = Satisfied
+
+update.3.3.type = node
+update.3.3.nodeType = LinkedRoleTarget
+update.3.3.name = USSH: US.friendly.usr <<-?- SAdmir
+update.3.3.processing = fully
+update.3.3.satisfied = Satisfied
+
+
+update.4.location = local
+
+update.4.1.type = edge
+update.4.1.edgeType = Implication
+update.4.1.parentName = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.1.childName = SAdmir: USSH <<-?- USSHoward
+update.4.1.childType = TrivialTarget
+update.4.1.childProcessing = fully
+
+update.4.2.type = node
+update.4.2.nodeType = RoleTarget
+update.4.2.name = SAdmir: USN.assignedNRet <<-?- USSH
+update.4.2.processing = fully
+update.4.2.satisfied = Satisfied
+
+update.4.3.type = node
+update.4.3.nodeType = RoleTarget
+update.4.3.name = SAdmir: RADMSmith.NRetTacUsr <<-?- USSH
+update.4.3.processing = fully
+update.4.3.satisfied = Satisfied
+
+update.4.4.type = node
+update.4.4.nodeType = LinkingGoal
+update.4.4.name = SAdmir: ?X.NRetTacUsr <<-?- USSH
+update.4.4.processing = fully
+update.4.4.satisfied = Satisfied
+
+
+update.5.location = remote
+
+update.5.1.type = edge
+update.5.1.edgeType = LinkingImplication
+update.5.1.parentName = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.5.1.childName = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.1.childType = RoleTarget
+update.5.1.childProcessing = opponent
+
+update.5.2.type = edge
+update.5.2.edgeType = Implication
+update.5.2.parentName = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.5.2.childName = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.5.2.childType = RoleTarget
+update.5.2.childProcessing = verifier
+
+
+update.6.location = local
+
+update.6.1.type = edge
+update.6.1.edgeType = Implication
+update.6.1.parentName = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.1.childName = SAdmir: RADMSmith <<-?- RADMSmith
+update.6.1.childType = TrivialTarget
+update.6.1.childProcessing = fully
+
+update.6.2.type = node
+update.6.2.nodeType = RoleTarget
+update.6.2.name = SAdmir: USEUCOM.NRetUSTacCom <<-?- RADMSmith
+update.6.2.processing = fully
+update.6.2.satisfied = Satisfied
+
+update.6.3.type = node
+update.6.3.nodeType = RoleTarget
+update.6.3.name = SAdmir: SAdmir.NRetTacCom <<-?- RADMSmith
+update.6.3.processing = fully
+update.6.3.satisfied = Satisfied
+
+update.6.4.type = node
+update.6.4.nodeType = LinkedRoleTarget
+update.6.4.name = SAdmir: SAdmir.NRetTacCom.NRetTacUsr <<-?- USSH
+update.6.4.processing = fully
+update.6.4.satisfied = Satisfied
+
+update.6.5.type = node
+update.6.5.nodeType = RoleTarget
+update.6.5.name = SAdmir: SAdmir.needsSLocs <<-?- USSH
+update.6.5.processing = fully
+update.6.5.satisfied = Satisfied
+
+update.6.6.type = node
+update.6.6.nodeType = IntersectionTarget
+update.6.6.name = SAdmir: SE.friendly.usr ^ SAdmir.needsSLocs <<-?- USSH
+update.6.6.processing = fully
+update.6.6.satisfied = Satisfied
+
+update.6.7.type = node
+update.6.7.nodeType = RoleTarget
+update.6.7.name = SAdmir: SAdmir.getsSLocs <<-?- USSH
+update.6.7.processing = fully
+update.6.7.satisfied = Satisfied
Index: fedd/abac-src/atnvis/linked/atnvis.properties
===================================================================
--- fedd/abac-src/atnvis/linked/atnvis.properties	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
+++ fedd/abac-src/atnvis/linked/atnvis.properties	(revision 8780cbecc6db2bdc2b9ef31eec6e5209ad3bff15)
@@ -0,0 +1,95 @@
+# Window properties
+atnvis.window.Title = Automated Trust Negotiation Visualization
+atnvis.window.Height = 768
+atnvis.window.Width = 1024
+
+
+# Control properties
+atnvis.control.DefaultDelay = 500
+atnvis.control.Loop = true
+
+
+# Parser
+atnvis.parser=com.algomagic.atn.PropertyLogParser
+atnvis.parser.IgnoreProcessing = true
+
+
+# Graph properties
+atnvis.graph.Scale = 0.8
+atnvis.graph.ShadowColor = gray60
+
+
+# Default node properties
+atnvis.node.Default.style = solid,filled
+atnvis.node.Default.color = purple
+atnvis.node.Default.shape = box
+atnvis.node.Default.fontname = TimesRoman
+atnvis.node.Default.fontcolor = black
+atnvis.node.Default.fontsize = 14
+atnvis.node.Default.fontstyle = normal
+
+
+# Default edge properties:
+atnvis.edge.Default.style = solid
+atnvis.edge.Default.color = black
+atnvis.edge.Default.direction = back
+
+
+atnvis.node.StandardTarget.shape = octagon
+atnvis.node.RoleTarget.shape = octagon
+atnvis.node.IntersectionTarget.shape = house
+atnvis.node.LinkingGoal.shape = box
+atnvis.node.LinkedRoleTarget.shape = trapezium
+atnvis.node.TrivialTarget.shape = invhouse
+
+
+atnvis.node.processed.Unprocessed.color = yellow
+atnvis.node.processed.Opponent.color = lightblue
+atnvis.node.processed.Verifier.color = lightgoldenrod
+atnvis.node.processed.Fully.color = lightseagreen
+
+atnvis.node.satisfied.Satisfied.color = green
+atnvis.node.satisfied.Complete.color = yellow
+atnvis.node.satisfied.Failed.color = red
+atnvis.node.satisfied.Unknown.color = white
+atnvis.node.satisfied.Incomplete.color = white
+
+#atnvis.node.satisfied.Satisfied.shape = tripleoctagon
+#atnvis.node.satisfied.Failed.shape = doubleoctagon
+
+
+# Standard Implication Edge properties
+atnvis.edge.Implication.color = purple3
+atnvis.edge.Implication.style = solid
+atnvis.edge.Implication.color.bold = purple1
+atnvis.edge.Implication.style.bold = dashed
+
+# Linking-Monitor Edge properties
+atnvis.edge.LinkingMonitor.color = royalblue3
+atnvis.edge.LinkingMonitor.style = solid
+atnvis.edge.LinkingMonitor.color.bold = royalblue1
+atnvis.edge.LinkingMonitor.style.bold = dashed
+
+# Linking-Solution Edge properties
+atnvis.edge.LinkingSolution.color = gold3
+atnvis.edge.LinkingSolution.style = solid
+atnvis.edge.LinkingSolution.color.bold = gold1
+atnvis.edge.LinkingSolution.style.bold = dashed
+
+# Linking-Implication Edge properties
+atnvis.edge.LinkingImplication.color = darkolivegreen3
+atnvis.edge.LinkingImplication.style = solid
+atnvis.edge.LinkingImplication.color.bold = darkolivegreen1
+atnvis.edge.LinkingImplication.style.bold = dashed
+
+# Intersection Edge properties
+atnvis.edge.Intersection.color = orange3
+atnvis.edge.Intersection.style = solid
+atnvis.edge.Intersection.color.bold = orange1
+atnvis.edge.Intersection.style.bold = dashed
+
+# Control Edge properties
+atnvis.edge.Control.color = firebrick3
+atnvis.edge.Control.style = solid
+atnvis.edge.Control.color.bold = firebrick1
+atnvis.edge.Control.style.bold = dashed
